Index: LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5117)
@@ -298,245 +298,245 @@
            IF ( kref == 5 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.1
-              IF (latgeo>=20.0 .and. latgeo<50.0) srcbe(i,k)=0.09
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.07
+              IF (latgeo>=20.0 .AND. latgeo<50.0) srcbe(i,k)=0.09
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.07
            END IF
            IF ( kref == 6 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.14
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.12
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.1
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.09
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.07
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.12
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.1
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.09
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.07
            END IF
            IF ( kref == 7 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.16
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.16
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.14
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.12
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.1
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.09
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.16
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.14
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.12
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.1
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.09
            END IF
            IF ( kref == 8 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.175
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.16
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.14
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.12
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.1
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.1
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.16
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.14
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.12
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.1
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.1
            END IF
            IF ( kref == 9 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.245
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.21
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.175
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.14
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.12
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.12
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.21
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.175
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.14
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.12
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.12
            END IF
            IF ( kref == 10 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.31
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.28
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.245
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.21
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.16
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.14
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.28
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.245
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.21
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.16
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.14
            END IF
            IF ( kref == 11 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.35
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.3
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.3
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.2
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.18
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.16
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.3
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.3
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.2
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.18
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.16
            END IF
            IF ( kref == 12 ) THEN
               IF (latgeo>=40.0) srcbe(i,k)=0.5
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.4
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.35
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.3
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.25
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.4
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.35
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.3
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.25
            END IF
            IF ( kref == 13 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=0.8
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=0.7
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.6
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.5
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.4
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.35
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=0.7
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.6
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.5
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.4
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.35
            END IF
            IF ( kref == 14 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=1.2
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=1.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=0.75
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.6
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.4
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=1.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=0.75
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.6
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.4
            END IF
            IF ( kref == 15 ) THEN
               IF (latgeo>=60.0) srcbe(i,k)=1.75
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=1.8
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=1.6
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=1.4
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=0.9
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=0.75
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.65
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=1.8
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=1.6
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=1.4
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=0.9
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=0.75
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.65
            END IF
            IF ( kref == 16 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=3.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=2.5
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=1.8
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=1.5
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=1.2
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=0.9
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=2.5
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=1.8
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=1.5
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=1.2
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=0.9
            END IF
            IF ( kref == 17 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=4.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=3.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=2.5
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=2.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=1.6
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=1.4
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=3.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=2.5
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=2.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=1.6
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=1.4
            END IF
            IF ( kref == 18 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=7.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=6.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=4.5
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=3.5
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=3.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=2.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=6.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=4.5
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=3.5
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=3.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=2.
            END IF
            IF ( kref == 19 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=8.5
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=8.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=7.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=4.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=3.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=3.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=8.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=7.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=4.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=3.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=3.
            END IF
            IF ( kref == 20 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=12.5
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=12.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=8.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=6.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=4.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=3.5
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=12.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=8.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=6.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=4.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=3.5
            END IF
            IF ( kref == 21 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=16.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=13.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=10.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=7.5
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=4.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=4.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=13.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=10.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=7.5
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=4.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=4.
            END IF
            IF ( kref == 22 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=20.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=17.5
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=12.5
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=9.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=6.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=4.5
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=17.5
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=12.5
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=9.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=6.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=4.5
            END IF
            IF ( kref == 23 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=25.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=22.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=15.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=10.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=7.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=6.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=22.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=15.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=10.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=7.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=6.
            END IF
            IF ( kref == 24 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=28.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=26.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=18.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=12.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=8.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=7.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=26.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=18.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=12.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=8.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=7.
            END IF
            IF ( kref == 25 ) THEN
               IF (latgeo>=50.0) srcbe(i,k)=33.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=28.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=20.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=14.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=10.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=8.5
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=28.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=20.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=14.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=10.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=8.5
            END IF
            IF ( kref == 26 ) THEN
               IF (latgeo>=60.0) srcbe(i,k)=38.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=36.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=32.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=24.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=15.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=11.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=10.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=36.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=32.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=24.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=15.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=11.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=10.
 !!jyg
-!!              IF (latgeo.GE.0.0 .and. latgeo.LT.10.0) srcbe(i,k)=6.
+!!              IF (latgeo.GE.0.0 .AND. latgeo.LT.10.0) srcbe(i,k)=6.
 !!jyg end
            END IF
            IF ( kref == 27 ) THEN
               IF (latgeo>=60.0) srcbe(i,k)=46.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=44.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=35.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=25.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=16.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=12.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=10.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=44.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=35.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=25.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=16.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=12.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=10.
            END IF
            IF ( kref == 28 ) THEN
               IF (latgeo>=60.0) srcbe(i,k)=53.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=48.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=37.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=25.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=16.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=12.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=10.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=48.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=37.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=25.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=16.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=12.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=10.
            END IF
            IF ( kref == 29 ) THEN
               IF (latgeo>=70.0) srcbe(i,k)=58.
-              IF (latgeo>=60.0 .and. latgeo<70.0) srcbe(i,k)=56.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=50.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=36.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=24.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=15.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=11.5
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=10.
+              IF (latgeo>=60.0 .AND. latgeo<70.0) srcbe(i,k)=56.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=50.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=36.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=24.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=15.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=11.5
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=10.
            END IF
            IF ( kref == 30 ) THEN
               IF (latgeo>=70.0) srcbe(i,k)=65.
-              IF (latgeo>=60.0 .and. latgeo<70.0) srcbe(i,k)=60.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=50.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=35.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=22.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=14.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=10.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=9.
+              IF (latgeo>=60.0 .AND. latgeo<70.0) srcbe(i,k)=60.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=50.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=35.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=22.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=14.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=10.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=9.
            END IF
            IF ( kref == 31 ) THEN
               IF (latgeo>=70.0) srcbe(i,k)=70.
-              IF (latgeo>=60.0 .and. latgeo<70.0) srcbe(i,k)=62.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=48.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=32.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=21.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=13.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=9.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=7.6
+              IF (latgeo>=60.0 .AND. latgeo<70.0) srcbe(i,k)=62.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=48.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=32.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=21.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=13.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=9.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=7.6
            END IF
            IF ( kref == 32 ) THEN
               IF (latgeo>=70.0) srcbe(i,k)=80.
-              IF (latgeo>=60.0 .and. latgeo<70.0) srcbe(i,k)=60.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=46.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=30.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=17.5
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=11.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=8.
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=7.4
+              IF (latgeo>=60.0 .AND. latgeo<70.0) srcbe(i,k)=60.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=46.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=30.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=17.5
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=11.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=8.
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=7.4
            END IF
            IF ( kref >= 33 ) THEN
               IF (latgeo>=70.0) srcbe(i,k)=80.
-              IF (latgeo>=60.0 .and. latgeo<70.0) srcbe(i,k)=70.
-              IF (latgeo>=50.0 .and. latgeo<60.0) srcbe(i,k)=45.
-              IF (latgeo>=40.0 .and. latgeo<50.0) srcbe(i,k)=27.
-              IF (latgeo>=30.0 .and. latgeo<40.0) srcbe(i,k)=15.
-              IF (latgeo>=20.0 .and. latgeo<30.0) srcbe(i,k)=10.
-              IF (latgeo>=10.0 .and. latgeo<20.0) srcbe(i,k)=7.6
-              IF (latgeo>=0.0 .and. latgeo<10.0) srcbe(i,k)=7.
+              IF (latgeo>=60.0 .AND. latgeo<70.0) srcbe(i,k)=70.
+              IF (latgeo>=50.0 .AND. latgeo<60.0) srcbe(i,k)=45.
+              IF (latgeo>=40.0 .AND. latgeo<50.0) srcbe(i,k)=27.
+              IF (latgeo>=30.0 .AND. latgeo<40.0) srcbe(i,k)=15.
+              IF (latgeo>=20.0 .AND. latgeo<30.0) srcbe(i,k)=10.
+              IF (latgeo>=10.0 .AND. latgeo<20.0) srcbe(i,k)=7.6
+              IF (latgeo>=0.0 .AND. latgeo<10.0) srcbe(i,k)=7.
            END IF
         END DO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5117)
@@ -183,7 +183,7 @@
   IMPLICIT NONE
 
-  logical :: SnoMod
-  logical :: BloMod
-  logical :: debut
+  LOGICAL :: SnoMod
+  LOGICAL :: BloMod
+  LOGICAL :: debut
   INTEGER :: jjtime
 
@@ -409,8 +409,8 @@
     IF (BloMod) THEN
 
-    if (klonv==1) THEN
-      IF(isnoSV(1)>=2                   .and. &
-            TsisSV(1,max(1,isnoSV(1)))<273.  .and. &
-            ro__SV(1,max(1,isnoSV(1)))<500.  .and. &
+    IF (klonv==1) THEN
+      IF(isnoSV(1)>=2                   .AND. &
+            TsisSV(1,max(1,isnoSV(1)))<273.  .AND. &
+            ro__SV(1,max(1,isnoSV(1)))<500.  .AND. &
             eta_SV(1,max(1,isnoSV(1)))<epsi) THEN
   ! +                       **********
@@ -518,5 +518,5 @@
   ! +     Gallee et al., 2001    eq 5, p5
 
-      if (usth_param == "gal") THEN
+      IF (usth_param == "gal") THEN
         Salt_us   =   (log(2.868) - log(1 + SaltMo)) * rCd10n/0.085
         Salt_us   = Salt_us * Fac_Mo
@@ -525,5 +525,5 @@
       endif
 
-      if (usth_param == "lis") then !Liston et al. 2007
+      IF (usth_param == "lis") then !Liston et al. 2007
         IF(ro__SV(ikl,isn)>300.) THEN
           Salt_us   = 0.005*exp(0.013*ro__SV(ikl,isn))
@@ -607,10 +607,10 @@
     hSalSV(ikl) = 8.436e-2  * us__SV(ikl)**SblPom
 
-    if (qsalt_param == "pom") THEN
+    IF (qsalt_param == "pom") THEN
       qSalSV(ikl) = (us__SV(ikl)**2 - usthSV(ikl)**2) *signus &
             / (hSalSV(ikl) * gravit * us__SV(ikl) * 3.25)
     endif
 
-    if (qsalt_param == "bin") THEN
+    IF (qsalt_param == "bin") THEN
       qSalSV(ikl) = (us__SV(ikl) * us__SV(ikl) &
             -usthSV(ikl) * usthSV(ikl))*signus &
@@ -662,5 +662,5 @@
   ! #BS       density_kotlyakov = .FALSE.  !C.Amory BS 2018
   ! + ...     Fallen Snow Density, Adapted for Antarctica
-        if (is_ok_density_kotlyakov) THEN
+        IF (is_ok_density_kotlyakov) THEN
             tt_tmp = TaT_SV(ikl)-TfSnow
             !vv_tmp = VV10SV(ikl)
@@ -668,5 +668,5 @@
   ! + ...         [ A compromise between
   ! + ...           Kotlyakov (1961) and Lenaerts (2012, JGR, Part1) ]
-            if (tt_tmp>=-10) THEN
+            IF (tt_tmp>=-10) THEN
               BufPro   =  max( rosMin, &
                     104. *sqrt( max( vv_tmp-6.0,0.0))) ! Kotlyakov (1961)
@@ -696,5 +696,5 @@
   !    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-     if (BloMod) THEN
+     IF (BloMod) THEN
      Bros_N      = frsno
      ro_new      = ro__SV(ikl,max(1,isnoSV(ikl)))
@@ -894,6 +894,6 @@
 
 
-  if (discret_xf.AND.klonv==1) THEN
-   IF(isnoSV(1)>=1.or.NLaysv(1)>=1) THEN
+  IF (discret_xf.AND.klonv==1) THEN
+   IF(isnoSV(1)>=1.OR.NLaysv(1)>=1) THEN
   ! +          **********
      CALL SISVAT_zSn
@@ -904,5 +904,5 @@
     CALL SISVAT_zSn
   ! +          **********
-  endif
+  ENDIF
 
   ! +          **********
@@ -1080,5 +1080,5 @@
 
 
-  if (iflag_temp_inlandsis == 0) THEN
+  IF (iflag_temp_inlandsis == 0) THEN
    CALL SISVAT_TSo
 
@@ -1203,8 +1203,8 @@
   ! Etienne: extrapolation from the two uppermost levels:
 
-     if (isnoSV(ikl) >=2) THEN
+     IF (isnoSV(ikl) >=2) THEN
        zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
        zm2=-(dzsnSV(ikl,isnoSV(ikl)) + dzsnSV(ikl,isnoSV(ikl)-1)/2.)
-     else if (isnoSV(ikl) == 1) THEN
+     ELSE IF (isnoSV(ikl) == 1) THEN
        zm1=-dzsnSV(ikl,isnoSV(ikl))/2.
        zm2=-(dzsnSV(ikl,isnoSV(ikl))+dz_dSV(0)/2.)
@@ -1234,15 +1234,15 @@
   IF (SnoMod)                                                 THEN
 
-  if (discret_xf .AND. klonv==1) THEN
+  IF (discret_xf .AND. klonv==1) THEN
   IF(isnoSV(1)>=1) THEN
   ! +          **********
   CALL SISVAT_GSn
   ! +          **********
-  endif
+  ENDIF
   else
   ! +          **********
     CALL SISVAT_GSn
   ! +          **********
-  endif
+  ENDIF
 
 
@@ -1334,9 +1334,9 @@
       coefd = log(z03)-coefc*ta3
 
-      if (TaT_SV(ikl) < ta1) THEN
+      IF (TaT_SV(ikl) < ta1) THEN
         Z0_obs = z01
-      else if (TaT_SV(ikl)>=ta1 .and. TaT_SV(ikl)<ta2) THEN
+      ELSE IF (TaT_SV(ikl)>=ta1 .AND. TaT_SV(ikl)<ta2) THEN
         Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
-      else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) THEN
+      ELSE IF (TaT_SV(ikl)>=ta2 .AND. TaT_SV(ikl)<ta3) THEN
         ! if st > 0, melting induce smooth surface
         Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
@@ -1471,5 +1471,5 @@
 
      IF(ro__SV(ikl,isnoSV(ikl))>50 &
-           .and.ro__SV(ikl,isnoSV(ikl))<roSdSV)THEN
+           .AND.ro__SV(ikl,isnoSV(ikl))<roSdSV)THEN
          Z0hnSV(ikl) = max(zero &
                , sign(unun,zzsnsv(ikl,isnoSV(ikl))-epsi)) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5117)
@@ -20,9 +20,9 @@
   ! +  =================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VARxSV
-  use VARySV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VARxSV
+  USE VARySV
 
 
@@ -71,6 +71,6 @@
 
     ! Densification of the uppermost snow layer if erosion:
-    if((dzweqo-dzweqn)>0                    .and. &
-          dzsnSV(ikl,isn)>0                    .and. &
+    IF((dzweqo-dzweqn)>0                    .AND. &
+          dzsnSV(ikl,isn)>0                    .AND. &
           ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) THEN
     !characteristic time scale for drifting snow compaction set to 24h
@@ -83,5 +83,5 @@
     Fac         = max(0.,min(1.,Fac))
 
-    if (ro__SV(ikl,max(1,isnoSV(ikl)))>roBdSV) THEN
+    IF (ro__SV(ikl,max(1,isnoSV(ikl)))>roBdSV) THEN
       densif=densif*Fac
     endif
@@ -93,5 +93,5 @@
     endif
 
-    IF(dzsnSV(ikl,isn)>0 .and.dzsnSV(ikl,isn)<0.0001)THEN
+    IF(dzsnSV(ikl,isn)>0 .AND.dzsnSV(ikl,isn)<0.0001)THEN
     dbs_SV(ikl) = dbs_SV(ikl)+ dzsnSV(ikl,isn)*ro__SV(ikl,isn)
     dbs_Er(ikl) = dbs_Er(ikl)+ dzsnSV(ikl,isn)*ro__SV(ikl,isn)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90	(revision 5117)
@@ -165,10 +165,10 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
-  use VARtSV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
+  USE VARtSV
 
 
@@ -190,5 +190,5 @@
   ! +  ================
 
-  logical :: vector                        !
+  LOGICAL :: vector                        !
   INTEGER :: ikl                           !
   INTEGER :: isn   ,isnp                   !
@@ -806,7 +806,7 @@
     DO isn=iiceSV(ikl),isnoSV(ikl)
       IF  (G1snSV(ikl,isn)>=0.)                               THEN
-        IF(G1snSV(ikl,isn)<vsphe4.and.istoSV(ikl,isn)==0)  THEN
+        IF(G1snSV(ikl,isn)<vsphe4.AND.istoSV(ikl,isn)==0)  THEN
                istoSV(ikl,isn)=istdSV(1)
-        ELSEIF(G1_dSV-G1snSV(ikl,isn)         <vsphe4.and. &
+        ELSEIF(G1_dSV-G1snSV(ikl,isn)         <vsphe4.AND. &
               etaSno(ikl,isn)/dzsnSV(ikl,isn)>vtelv1)       THEN
           IF  (istoSV(ikl,isn)==0) &
@@ -858,5 +858,5 @@
             *(1-min(1   , abs(istoSV(ikl,isn)-istdSV(1))))
   ! #wp     IF (G1snSV(ikl,isn).gt.0..AND.G1snSV(ikl,isn).lt.vsphe4
-  ! #wp.                             .AND.istoSV(ikl,isn).eq.     0)
+  ! #wp.                             .AND.istoSV(ikl,isn).EQ.     0)
   ! #wp.    THEN
   ! #wp       WRITE(6,*) ikl,isn,' G1,G2,hist,OK_Ang  ',
@@ -907,5 +907,5 @@
 
     isn=1
-    if (dzsnSV(ikl,isn)>0.and.ro__SV(ikl,isn)>0) THEN
+    IF (dzsnSV(ikl,isn)>0.AND.ro__SV(ikl,isn)>0) THEN
     dzsnSV(ikl,isn) = dzsnSV(ikl,isn) +0.9999*(smb_old-smb_new) &
           / ro__SV(ikl,isn)
